Package ch.qos.logback.classic.db.names

## Interface DBNameResolver

All Known Implementing Classes:
  `DefaultDBNameResolver`, `SimpleDBNameResolver`

    public interface DBNameResolver

Source of table and column names used in SQL queries generated by `DBAppender` Implement this interface to override default table and/or column names used by `DBAppender`.

Since:
  0.9.19
Author:
  Tomasz Nurkiewicz, Ceki Gulcu
See Also:
  `DefaultDBNameResolver`, `SimpleDBNameResolver`

### Method Summary

All Methods Instance Methods Abstract Methods
`<N extends java.lang.Enum<?>> java.lang.String` `getColumnName​(N columnName)`
`<N extends java.lang.Enum<?>> java.lang.String` `getTableName​(N tableName)`

### Method Detail

#### getTableName

    <N extends java.lang.Enum<?>> java.lang.String getTableName​(N tableName)

#### getColumnName

    <N extends java.lang.Enum<?>> java.lang.String getColumnName​(N columnName)